Foi lançada na quarta-feira pela Apple, uma atualização de firmware que visa corrigir especialmente a falha no PDF que possibilita fazer o processo de jailbreak pelo método do hacker Comex.

Atualização esta que agora encontra-se na versão 4.0.2, que fecha as brechas que foram exploradas pelo hacker Comex, mas o grande problema é que parece que a maçã esqueceu de proprietários de gadgets mais antigos ou seja, iPod touch 1G e o iPhone 2G/Classic/EDGE.

E com isto deixa estes gadgets completamente vulneráveis a ataques maliciosos de hackers mal intencionados, e não protege estes aparelhos se os usuários destes dispositivos mais antigos entrarem em sites perigosos.

pdffix1 PDF Patch vai tornar seguro até mesmo iPod touch 1G e iPhone Classic (atualizado)

Porém, e felizmente para a maçã, a comunidade do jailbreak não é tão insensível e o conceituado hacker Jay Freeman (Saurik) está trabalhando em um pacote que estará disponível via Cydia, pacote este que visa fechar as brechas para todos os gadgets, não importando o firmware instalado, mesmo que seja o antigo firmware 2.x.

E este pacote vai ser disponibilizado em breve, após passar pelo período necessário de testes.

Tendo em vista que a única razão da atualização do firmware para 4.0.2 foi para corrigir as falhas de segurança, e em breve teremos este pacote via Cydia que vai abranger os gadgets mais antigos que promete resolver estes problemas e mais alguns, pedimos a todos que tenham paciência.

Se você fez o processo de jailbreak pelo método JailbreakMe, a sugestão que damos é que você não atualize pois se o fizer, você perderá o jailbreak e o desbloqueio para operadoras, aguarde pelo lançamento deste pacote.

Caso você tenha instalado no seu gadget o firmware 4.0.1 ou inferior, não vai ser necessário atualizar para usufruir deste pacote do hacker Saurik.

Atualizaçao: Este aplicativo já está disponível no Cydia, via repositório Saurik ;) .

pdfpatch PDF Patch vai tornar seguro até mesmo iPod touch 1G e iPhone Classic (atualizado) pdfpatch1 PDF Patch vai tornar seguro até mesmo iPod touch 1G e iPhone Classic (atualizado)

Abraços

Via

11 respostas para PDF Patch vai tornar seguro até mesmo iPod touch 1G e iPhone Classic (atualizado)

  1. Willian Sousa disse:

    Show, instalado :D

  2. lucasck disse:

    aqui não esta aparecendo o PDF Patch no meu ipod touch 2G 8GB.

    uma duvida qual a diferença desse para o pdf loading warner?

    • iMark disse:

      Estranho, aqui para mim apareceu, tente dar um refresh no próprio Cydia.

      A diferença deste tweak para o PDF Loading Warner é que este é funcional também nos gadgets mais antigos,
      por exemplo: o iPod touch 1G e o iPhone 2G/Classic/EDGE não recebem a atualização para o IOS4, portanto
      a Apple não fechou as falhas de segurança nestes dispositivos mais antigos, somente para os mais novos.
      E o PDF Loading Warner é funcional mas penso também que somente para os gadgets mais recentes que estão aptos a receber o iOS 4.
      Penso que é isto ;)

      Abraços

      • lucasck disse:

        bom ja dei um reload no cydia ja fiz tudo e não aparece esse, só o PDF Loading warner.

        esse complemento ja não e uma source nativa do cydia?

        só mais uma duvida, eu salvei o shsh da fw 4.0 no meu ipod touch 2G, queria saber se eu posso atualizar para a 4.0.2, e depois voltar para a 4.0 sem problemas?

        e só modificar o arquivo host do windows?

        • iMark disse:

          Muito estranho mesmo, sim a source já é nativa no Cydia mesmo, afinal pertence ao próprio Saurik :)

          A sugestão que eu lhe dou é que você não atualize, pois nada garante que você possa fazer o downgrade
          afinal, a atualização de firmware foi recente, e acho que não vale a pena você atualizar, mesmo porque o único motivo desta atualização é para fechar estas brechas, mais nada ;)

          Talvez quando vier o iOS 4.1, dependendo das novidades até valha a pena atualizar, eu não atualizei o meu gadget.

          Abraços

  3. uiliam boner disse:

    ele funciona no itouch 3g tb?
    e eu devo instala ele ou nao precisa?

  4. lucasck disse:

    agora ele apareceu, e instalei, não tem problema eu instalar esse ao invez do outro pdf loading?

  5. lucasck disse:

    e outra como esse funciona, por que o outro (PDF loading) quando ia abri um pdf ele falava (tipo: deseja abri esse PDF), mais esse não informa de nada.

  6. f3rn4nd0 disse:

    Esse Patch corrigiu o problema do app relogio! :D

    • lucasck disse:

      isso mesmo, amigo pensava que sou eu tinha esse bug, que quando abria o relógio perguntava se queria abri um PDF

      abraços!

Deixe uma resposta

O seu endereço de email não será publicado Campos obrigatórios são marcados *

Você pode usar estas tags e atributos de HTML: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>